Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1297906 - log4cplus is not compiled with C++11 support because of typo in spec
Summary: log4cplus is not compiled with C++11 support because of typo in spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4cplus
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-12 18:13 UTC by Alex
Modified: 2016-03-04 20:54 UTC (History)
1 user (show)

Fixed In Version: log4cplus-1.1.3-0.4.rc3.fc23 log4cplus-1.1.3-0.4.rc3.fc22 log4cplus-1.1.3-0.4.rc3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 20:26:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Alex 2016-01-12 18:13:37 UTC
Description of problem:

RPM commit that should have fixed bug 1090401 (http://pkgs.fedoraproject.org/cgit/rpms/log4cplus.git/commit/?h=f23&id=2cd1c212e2c74f4f8a9afc60db5b20cd39e4780f) failed to fix it because of the typo.
It introduced "export CXXFLAFS" instead of correct "export CXXFLAGS" (*FS vs *GS ending).


Version-Release number of selected component (if applicable):

1.1.3-0.3.rc3.fc23


How reproducible:

test.cpp:

#include <log4cplus/logger.h>
#include <log4cplus/loggingmacros.h>

int main() {
    log4cplus::Logger logger = log4cplus::Logger::getInstance("foo");
    LOG4CPLUS_DEBUG(std::move(logger), "hi");
    return 0;
}

g++ test.cpp --std=c++11 -llog4cplus


Actual results:

/tmp/ccTA5FT5.o: In function `log4cplus::detail::macros_get_logger(log4cplus::Logger&&)':
test.cpp:(.text._ZN9log4cplus6detail17macros_get_loggerEONS_6LoggerE[_ZN9log4cplus6detail17macros_get_loggerEONS_6LoggerE]+0x2a): undefined reference to `log4cplus::Logger::Logger(log4cplus::Logger&&)'
collect2: error: ld returned 1 exit status

Expected results:

test.cpp linked successfully


Additional info:

Upstream bug: http://sourceforge.net/p/log4cplus/bugs/272/

Checked that rebuilding RPM with typo fixed also fixes the linkage problem.

Comment 1 Tomáš Hozza 2016-01-13 08:24:09 UTC
Thank you for spotting this!

Comment 2 Fedora Update System 2016-01-15 11:55:53 UTC
log4cplus-1.1.3-0.4.rc3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b0a5fdc60

Comment 3 Fedora Update System 2016-01-15 11:55:59 UTC
log4cplus-1.1.3-0.4.rc3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-54c00ef96e

Comment 4 Fedora Update System 2016-01-16 19:21:53 UTC
log4cplus-1.1.3-0.4.rc3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b0a5fdc60

Comment 5 Fedora Update System 2016-01-16 19:25:22 UTC
log4cplus-1.1.3-0.4.rc3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c3f20ba16

Comment 6 Fedora Update System 2016-01-17 14:24:18 UTC
log4cplus-1.1.3-0.4.rc3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54c00ef96e

Comment 7 Fedora Update System 2016-03-03 20:26:27 UTC
log4cplus-1.1.3-0.4.rc3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-04 02:19:08 UTC
log4cplus-1.1.3-0.4.rc3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-04 20:54:16 UTC
log4cplus-1.1.3-0.4.rc3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.